OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
PTKernel
PCollection

# PCollection_PrivCompareOfReal Class Reference

`#include <PCollection_PrivCompareOfReal.hxx>`

Inheritance diagram for PCollection_PrivCompareOfReal:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
virtual Standard_EXPORT Standard_Boolean | IsLower (const Standard_Real &Left, const Standard_Real &Right) const
virtual Standard_EXPORT Standard_Boolean | IsGreater (const Standard_Real &Left, const Standard_Real &Right) const
Standard_EXPORT Standard_Boolean | IsEqual (const Standard_Real &Left, const Standard_Real &Right) const
## Friends
Standard_EXPORT friend Handle_Standard_Type & | PCollection_PrivCompareOfReal_Type_ ()

## Member Function Documentation

Standard_EXPORT Standard_Boolean PCollection_PrivCompareOfReal::IsEqual | ( | const Standard_Real & | Left,
|  | const Standard_Real & | Right
| ) | const

virtual Standard_EXPORT Standard_Boolean PCollection_PrivCompareOfReal::IsGreater | ( | const Standard_Real & | Left,
|  | const Standard_Real & | Right
| ) | const`[virtual]`

| Reimplemented in PCollection_CompareOfReal.

virtual Standard_EXPORT Standard_Boolean PCollection_PrivCompareOfReal::IsLower | ( | const Standard_Real & | Left,
|  | const Standard_Real & | Right
| ) | const`[virtual]`

| Reimplemented in PCollection_CompareOfReal.

void PCollection_PrivCompareOfReal::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented in PCollection_CompareOfReal.

void* PCollection_PrivCompareOfReal::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented in PCollection_CompareOfReal.

void* PCollection_PrivCompareOfReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented in PCollection_CompareOfReal.

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PCollection_PrivCompareOfReal_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PCollection_PrivCompareOfReal.hxx